﻿module WS.Controls

open IntelliFactory.WebSharper
open IntelliFactory.WebSharper.Html

[<AbstractClass>]
type Base [<JavaScript>] () =
    [<JavaScript>] // This doesn't seem to make a difference, here just in case.
    abstract Test : unit -> unit

type Other [<JavaScript>] () =
    inherit Base()
    [<JavaScript>]
    override __.Test() = ignore ()

type Control() =
    inherit Web.Control()

    [<JavaScript>]
    override __.Body =
        let c = Other() :> Base
        c.Test()
        Div [] :> _